> For the complete documentation index, see [llms.txt](https://docs.facefusion.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.facefusion.io/usage/cli-arguments/processors/expression-restorer.md).

# Expression Restorer

## CLI Arguments

### Expression Restorer Model

Choose the model responsible for restoring the expression.

Argument: `--expression-restorer-model`

Default: `live_portrait`

Choices:

* `live_portrait`

Example: `--expression-restorer-model live_portrait`

### Expression Restorer Factor

Restore factor of expression from the target face.

Argument: `--expression-restorer-factor`

Default: `80`

Range: `0` to `100` at `1`

Example: `--expression-restorer-factor 100`

### Expression Restorer Areas

Choose the items used for the expression areas.

Argument: `--expression-restorer-areas`

Default: `All`

Choices:

* `upper-face`
* `lower-face`

Example: `--expression-restorer-areas upper-face`

## Default Overrides

Modify the `facefusion.ini` file to override the defaults.

```ini
[processors]
expression_restorer_model = live_portrait
expression_restorer_factor = 100
expression_restorer_areas = upper-face
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.facefusion.io/usage/cli-arguments/processors/expression-restorer.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
